Subject: Re: bug#19284: 25.0.50; tls.el uses option --insecure

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 30 Dec 2015 19:22:49 +0100

Ted Zlatanov <[email-masked]> writes:

> There is a user experience difference between relying on external tools
> implicitly, which tls.el does, and explicitly, which ProxyCommand does.
> Also, tls.el is not granular like ProxyCommand or the `nnimap-stream'
> functionality, it applies to all connectivity. I hope that explains my
> reasoning better.

Yeah.  For the version after this, we should dump tls.el (and
starttls.el) completely.  If somebody wants a way to do TLS proxying, we
should add that as separate functionality, not something that plops out
as a side-effect of using gnutls-cli.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no